Summary: SME Server localisation module
%define name smeserver-locale
Name: %{name}
%define version 1.2.0
%define release 15
%define package_summary SME Server localisation module
%define group Applications/System
%define package_locales de es fr it
Version: %{version}
Release: %smerelease %{release}
Packager: %{_packager}
License: GPL
Vendor: SME Server developers
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-locale-1.2.0-italian_rc1.patch
Patch1: smeserver-locale-1.2.0-onlinemanuallocation.patch
Patch2: smeserver-locale-1.2.0-onlinemanuallocation1.patch
Patch3: smeserver-locale-1.2.0-bug263-01.patch
Patch4: smeserver-locale-1.2.0-germanupdates.patch
Patch5: smeserver-locale-1.2.0-spanishemailsettingsupdate.patch
Patch6: smeserver-locale-1.2.0-germanupdates1.patch
Patch7: smeserver-locale-1.2.0-bug1001-01.patch
Patch8: smeserver-locale-1.2.0-italian_rc4.patch
Patch9: smeserver-locale-1.2.0-initialtext.patch
Patch10: smeserver-locale-1.2.0-initialtext.patch2
Patch11: smeserver-locale-1.2.0-initialtext.patch3
Patch12: smeserver-locale-1.2.0-initialtext-fr.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
BuildRequires: perl
BuildRequires: e-smith-devtools >= 1.13.1-03
BuildRequires: gettext
AutoReqProv: no

%description
SME Server localisation module

%changelog
* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Fri Jun 30 2006 Gordon Rowell <gordonr@gormand.com.au> 1.2.0-15
- Update French translation - Merci Franck Pierre [SME: 1659]

* Fri Jun 30 2006 Gordon Rowell <gordonr@gormand.com.au> 1.2.0-14
- Change donate link to www.smeserver.org/donate/ [SME: 1668]

* Fri Jun 30 2006 Gordon Rowell <gordonr@gormand.com.au> 1.2.0-13
- Change new window target to _blank rather than "new" [SME: 1613]

* Wed Jun 28 2006 Gavin Weight <gweight@gmail.com> 1.2.0-12
- German and Italian text on server-manager front screen updated. [SME: 1659]

* Tue Jun 27 2006 Filippo Carletti <carletti@mobilia.it> 1.2.0-11
- Updated italian translations [SME: 1119]

* Sat Jun 10 2006 Franck Pierre <grand-pa@grand-pa.dyndns.org> 1.2.0-10
- Updated French translations [SME: 1001]

* Mon May 22 2006 Gavin Weight <gweight@gmail.com> 1.2.0-09
- Updated German translation. Thanks Dietmar Berteld. [SME: 1412]

* Tue May 16 2006 Gavin Weight <gweight@gmail.com> 1.2.0-08
- Updated Spanish emailsettings. Thanks Ernesto Lorenz [SME: 1435]

* Mon May 15 2006 Gordon Rowell <gordonr@gormand.com.au> 1.2.0-07
- Bump release number only

* Sun May 14 2006 Gavin Weight <gweight@gmail.com> 1.2.0-06sme01
- Updated German translations. Thanks Dietmar Berteld. [SME: 1412]

* Sun Apr 9 2006 Franck Pierre <grand-pa@grand-pa.dyndns.org> 1.2.0-05
- Updated French translations [SME: 263]

* Thu Apr 6 2006 Gavin Weight <gweight@gmail.com> 1.2.0-04
- Changed online-manual location to contribs.org in es lang. [SME: 1079]

* Thu Apr 6 2006 Gavin Weight <gweight@gmail.com> 1.2.0-03
- Changed online-manual location to contribs.org. [SME: 1079]

* Wed Mar 22 2006 Filippo Carletti <carletti@mobilia.it> 1.2.0-02
- Updated italian translations [SME: 1119]

* Thu Mar 16 2006 Gordon Rowell <gordonr@gormand.com.au> 1.2.0-01
- Roll stable stream version. [SME: 1016]

* Wed Mar 16 2006 Franck Pierre <grand-pa@grand-pa.dyndns.org> 1.0.1-12
- Update French translations [SME: 263]

* Tue Feb 21 2006 Gavin Weight <gweight@gmail.com> 1.0.1-11
- Add loop to run dos2unix before validating lexicon files.

* Mon Feb 20 2006 Gavin Weight <gweight@gmail.com> 1.0.1-10
- New German translations (Thanks Dietmar Berteld) [SME: 823]

* Wed Feb 15 2006 Franck Pierre <grand-pa@grand-pa.dyndns.org> 1.0.1-09
- Add some French translations [SME: 263]

* Mon Feb 13 2006 Gavin Weight <gweight@gmail.com> 1.0.1-08
- Fixed German (de) domains panel (Thanks Philipp Walker) [SME: 672]

* Fri Feb 3 2006 Franck Pierre <grand-pa@grand-pa.dyndns.org> 1.0.1-07
- French translations [SME: 263]

* Mon Jan 9 2006 Gordon Rowell <gordonr@gormand.com.au> 1.0.1-06
- Copied English emailsettings lexicon to Spanish so the panel at
  least works when browsing in Spanish [SME: 386]

* Wed Dec 15 2005 Gordon Rowell <gordonr@gormand.com.au> 1.0.1-05
- French console translations [SME: 181]

* Wed Dec 15 2005 Gordon Rowell <gordonr@gormand.com.au> 1.0.1-04
- French fixup for FormMagick/general [SME: 180]

* Mon Dec 05 2005 Filippo Carletti <carletti@mobilia.it> 1.0.1-03
- Change some too long italian translations [SME: 273]

* Wed Oct 30 2005 Gordon Rowell <gordonr@gormand.com.au> 1.0.1-02
- Change 'standby' to 'stand by' in console [SME: 66]

* Wed Oct 30 2005 Gordon Rowell <gordonr@gormand.com.au> 1.0.1-01
- Roll patches up to 1.0.0-12
- Convert all DOS format files to Unix format to ease patching [SME: 66]

* Mon Oct 15 2005 Gordon Rowell <gordonr@gormand.com.au> 1.0.0-12
- Plus encore [SF: 1265560]

* Mon Oct 15 2005 Gordon Rowell <gordonr@gormand.com.au> 1.0.0-11
- Revise French on review panel [SF: 1293855]

* Mon Oct 15 2005 Gordon Rowell <gordonr@gormand.com.au> 1.0.0-11
- Add defattr definition to each sub-package [SF: 1296531]
- Remove fr-ca to fr relocation - it can stay in e-smith-base, or
  even get removed entirely. It's for 5.6 -> 6.0 upgrades in any case.

* Mon Oct 15 2005 Gordon Rowell <gordonr@gormand.com.au> 1.0.0-10
- Add aspell-$locale as dependencies of the various locales [SF: 1296531]

* Sat Oct 15 2005 Gordon Rowell <gordonr@gormand.com.au> 1.0.0-09
- Initial work on generating separate locale packages [SF: 1309520]
- Do we really want to generate around 80 one to seven file packages? 
  I don't think so - it may be "correct", but it's really ugly

* Sat Oct 15 2005 Gordon Rowell <gordonr@gormand.com.au> 1.0.0-08
- Spec file cleanup [SF: 1309520]
- TODO: Generate locale packages to match base packages.

* Sat Oct 15 2005 Gordon Rowell <gordonr@gormand.com.au> 1.0.0-07
- Ensure zero exit status from fr pre scriptlet [SF: 1309520]
- TODO: Do we need this any more - IIRC it's for 5.5 -> 6.0
  It is also in e-smith-base, and should be removed from there

* Sat Oct 15 2005 Gordon Rowell <gordonr@gormand.com.au> 1.0.0-06
- Fix up bug references in changelog (no code change) [SF: 1309520]

* Fri Oct 14 2005 Filippo Carletti <carletti@mobilia.it> 1.0.0-05
- Italian updates

* Mon Oct 3 2005 Gordon Rowell <gordonr@gormand.com.au> 1.0.0-04
- Don't generate the parent (combined) package, just the sub-packages
- Remove en_US/en-us files from install tree. They are just here for
  translation convenience and to provide a comparison with the
  relevant base packages (TODO: Decide whether to delete them) [SF: 1309520]

* Sat Oct 1 2005 Gordon Rowell <gordonr@gormand.com.au> 1.0.0-03
- Added missing po files (new tarball) [SF: 1309520]

* Sat Oct 1 2005 Gordon Rowell <gordonr@gormand.com.au> 1.0.0-02
- Fixup in Italian FormMagick/general (new tarball) [SF: 1309520]

* Sat Oct 1 2005 Gordon Rowell <gordonr@gormand.com.au> 1.0.0-01
- Repackaging of all L10Ns except en-us in one RPM. en-us L10Ns live
  in the base packages. All languages are stored in the single source
  RPM, but a separate binary RPM is generated per language. [SF: 1309520]

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1

%post

%build
LEXICONS=$((find root/etc/e-smith/locale -type f) \
	| grep -v CVS | grep -v pleasewait)

for file in $LEXICONS
do
    /usr/bin/dos2unix $file
    /sbin/e-smith/validate-lexicon $file
done

for dir in root/etc/e-smith/locale/*
do
    ln -s initial.cgi $dir/etc/e-smith/web/functions/index.cgi
done

/sbin/e-smith/generate-lexicons

%install
set -x 

rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)

# These live in the base packages - copied here to ease translation
# and to make it easier to see when the base changes
rm -rf $RPM_BUILD_ROOT/usr/share/locale/en_US
rm -rf $RPM_BUILD_ROOT/etc/e-smith/local/en-us

/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    > %{name}-%{version}-%{release}-filelist

for locale in %{package_locales}
do
    echo "%defattr(-,root,root)" > \
	%{name}-%{version}-%{release}-filelist-$locale

    grep locale/$locale %{name}-%{version}-%{release}-filelist >> \
	%{name}-%{version}-%{release}-filelist-$locale
done

# cat >/tmp/pkgmap <<HERE
# LPRng	printers
# base	groups|initial.cgi|localnetworks|reboot|remoteaccess|review|useraccounts|userpassword
# backup	backup
# clamav	clamav
# domains	domains
# email	emailsettings|pseudonyms
# formmagick	FormMagick
# hosts	hostentries
# ibays	ibays
# ldap	directory
# ntp	datetime
# portforwarding	portforwarding
# support	online-manual|support
# proxy	proxy
# qmailanalog	qmailanalog
# quota	quota
# samba	workgroup
# starterwebsite	starterwebsite
# viewlogfiles	viewlogfiles
# yum	yum
# HERE
# 
# cat /tmp/pkgmap | while read pkg parts
# do
#     for locale in %{package_locales}
#     do
# 	egrep $parts %{name}-%{version}-%{release}-filelist-$locale \
# 		%{name}-%{version}-%{release}-filelist-$locale-$pkg
#     done
# done

%clean 
rm -rf $RPM_BUILD_ROOT

%package de
Summary: %{package_summary} - German
Group: %{group}
Requires: aspell-de
%description de
%{summary}
%files de -f %{name}-%{version}-%{release}-filelist-de

%package es
Summary: %{package_summary} - Spanish
Group: %{group}
Requires: aspell-es
%description es
%{summary}
%files es -f %{name}-%{version}-%{release}-filelist-es

%package fr
Summary: %{package_summary} - French
Group: %{group}
Requires: aspell-fr
%description fr
%{summary}
%files fr -f %{name}-%{version}-%{release}-filelist-fr

%package it
Summary: %{package_summary} - Italian
Group: %{group}
Requires: aspell-it
%description it
%{summary}
%files it -f %{name}-%{version}-%{release}-filelist-it
